Subject: bug#1215: 23.0.60; unibyte->multibyte conversion problem (in

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Jan 2009 21:47:04 -0500

>> There's a bug here, indeed: Emacs should refuse to save such a file,
>> because raw-text-unix (to which I prefer to refer as `binary') cannot
>> encode « and ».
> Why not? « is U+00AB and » is U+00BB.

Neither of which is a byte.  The byte 0xAB is the Emacs character
#x3fffab, as shown by (unibyte-char-to-multibyte #xab).

If you save that file and read it back in, you'll see that its content
has changed.  `save-buffer' should not silently save if it will
lose information.

        Stefan